/* assert.h */

/***********************************************************************
*  Copyright (C) 2013 Andrew Makhorin <mao@gnu.org>.
*
*  This code is distributed under the terms of the GNU General Public
*  License, version 3 or later.
***********************************************************************/

#ifndef _ASSERT_H
#define _ASSERT_H

void _Assert(const char *, const char *, unsigned);

#endif

#undef assert

#ifdef NDEBUG
#define assert(ignore) ((void)0)
#else
#define assert(expr) \
      ((expr) ? (void)0 : _Assert(#expr, __FILE__, __LINE__))
#endif

/* eof */
