/* stddef.h */

/***********************************************************************
*  Copyright (C) 2013 Andrew Makhorin <mao@gnu.org>.
*
*  This code is distributed under the terms of the GNU General Public
*  License, version 3 or later.
***********************************************************************/

#ifndef _STDDEF_H
#define _STDDEF_H

#define NULL ((void *)0)

#ifndef _SIZE_T
#define _SIZE_T
typedef unsigned size_t;
#endif

#ifndef _WCHAR_T
#define _WCHAR_T
typedef unsigned short wchar_t;
#endif

typedef int ptrdiff_t;

#define offsetof(type, memb) ((size_t)&((type *)0)->memb)

#endif

/* eof */
